;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE :OLI )

( PRINT "... chckconf.* is loading ! " )

;-----------------------------------------
; Farbe der Dokugruppe fuer Fehlertexte
; 1,0,0 = rot

( SETF *chck-group-error-color* 1,0,0 )

;-----------------------------------------
; Farbe der Dokugruppe fuer Warntexte
; 1,1,0 = gelb

( SETF *chck-group-warning-color* 1,1,0 )

;-----------------------------------------
; Farbe der Dokugruppe fuer Warntexte
; 0,1,0 = gruen

( SETF *chck-group-repaired-color* 0,1,0 )

;-----------------------------------------
; Farbe das Einfaerben der freien Kanten
; 1,0,0 = rot

( SETF *chck-free-elements-color* 1,0,0 )

;-----------------------------------------
; Text fuer Freie Kanten Notiz

( SETF *chck-free-elements-text* ( SD-MULTI-LANG-STRING "FACEElementsCheck" :GERMAN "FACEElementsCheck" ))

( DOC3D::REGISTER-DOC3D-TEXT-CATEGORY :CATEGORY :FACE-ELEMENT_CHCK_ELEMENTS :DELETE T )
( DOC3D::REGISTER-DOC3D-TEXT-CATEGORY :CATEGORY :FACE-ELEMENT_CHCK_ELEMENTS :LABEL *chck-free-elements-text* )

;-----------------------------------------
; Normteilklasse

( SETF *chck-analyse-library* ( LIST
                                     :ATTRIBUT :KLASSENNAME
                                     :NAME "NORMTEILE_3D"
                                 )
)

;-----------------------------------------
; Viewportsettings

( SETF *chck-analyse-vp-settings* ( LIST
                                      :VPNAME "DirectCheck"
                                      :VPLL 0.0,70.0
                                      :VPUR 550.0,510.0
                                  )
 )

;-----------------------------------------
; Report-Einstellungen

 ( SETF *chck-analyse-report* ( LIST
                                    :DIR ( SD-INQ-TEMP-DIR  )
                                    :FILE "DirectCheck.log"
                                 )
 )


;-----------------------------------------
; Definition der globalen Checkdefinition
; Spalte 1: Funktionsname
; Spalte 2: Name der
; Spalte 3: Grenzwert
; Spalte 4: Meldung
; Spalte 5: Vergleich
; Spalte 6:

( SETF *chck-analyse-definition*
 '(  ; ( :FUNCTION                            :NAME                                  :LIMIT     :MESSAGE  :TEST   :TYPE :CHECK )
    ( Chck-analyse-get-geo-resolution         "01_Geometrische_Aufloesung"               0.001     "INFO"     "<="    :PART     "-" )
    ( Chck-analyse-get-short-edges            "02_Kurze_Kanten"                   0.01     "INFO"     ">="    :PART     "-" )
    ( Chck-analyse-machining-feature-valid    "03_Ungueltige_Machiningelemente"   0       "ERROR"     "<="    :PART     "-" )
    ( Chck-analyse-get-errors                 "04_Teile_Pruefung_Fehler"                 0       "ERROR"     "<="    :PART     "-" )
    ( Chck-analyse-get-density                "05_Dichte_=_1"                      1.0      "INFO"     "="    :PART     "-" )
    ;( Chck-analyse-get-density                "06_Dichte_/=_1"                      1.0      "INFO"     "/="    :PART     "-" )
    ( Chck-analyse-get-geo-pattern            "07_KombiMuster"        0        "INFO"     "<="    :ASSEMBLY     "-" )
    ( Chck-analyse-get-obj-basename-length   "08_Laenge_Teilename"              31       "ERROR"     "<="    :ALL      "-" )
    ( Chck-analyse-get-configurations         "09_Anzahl_Konfigurationen"         10       "INFO"     "<="    :ASSEMBLY "-" )
    ( Chck-analyse-get-warnings                "10_Teile_Pruefung_Warnungen"              0       "INFO"      "<="    :PART     "-" )
    ( Chck-analyse-get-empty-parts            "11_Leere_Teile"                    0       "INFO"     "<="     :PART     "-" )
    ( Chck-analyse-get-face-parts             "12_Flaechenteile"                 0       "INFO"     "<="     :PART     "-" )
    ( Chck-analyse-get-spline-surfaces       "13_SplineOberflaeche"             0        "INFO"     "<="    :PART     "-" )
    ( Chck-analyse-get-parts-facettes-tolerance         "14_Facettengenauigkeit_Teil"      1       "ERROR"     ">="    :PART     "-" )
  ( Chck-analyse-get-faces-facettes-tolerance         "15_Facettengenauigkeit_Flaeche"   1       "ERROR"     ">="    :PART     "-" )
  )
)

( SETF *chck-analyse-definition*
 '(  ; ( :FUNCTION                            :NAME                                  :LIMIT     :MESSAGE  :TEST   :TYPE :CHECK )
    ( Chck-analyse-get-geo-resolution         "01_Geometrische_Aufloesung"               0.001     "INFO"     "<="    :PART     "-" )
    ( Chck-analyse-get-short-edges            "02_Kurze_Kanten"                   0.01     "INFO"     ">="    :PART     "-" )
    ( Chck-analyse-machining-feature-valid    "03_Ungueltige_Machiningelemente"   0       "ERROR"     "<="    :PART     "-" )
    ( Chck-analyse-get-errors                 "04_Teile_Pruefung_Fehler"                 0       "ERROR"     "<="    :PART     "-" )
    ( Chck-analyse-get-density                "05_Dichte_=_1"                      1.0      "INFO"     "="    :PART     "-" )
    ;( Chck-analyse-get-density                "06_Dichte_/=_1"                      1.0      "INFO"     "/="    :PART     "-" )
    ( Chck-analyse-get-geo-pattern            "07_KombiMuster"        0        "INFO"     "<="    :ASSEMBLY     "-" )
    ( Chck-analyse-get-obj-basename-length   "08_Laenge_Teilename"              31       "ERROR"     "<="    :ALL      "-" )
    ( Chck-analyse-get-configurations         "09_Anzahl_Konfigurationen"         10       "INFO"     "<="    :ASSEMBLY "-" )
    ( Chck-analyse-get-warnings                "10_Teile_Pruefung_Warnungen"              0       "INFO"      "<="    :PART     "-" )
    ( Chck-analyse-get-empty-parts            "11_Leere_Teile"                    0       "INFO"     "<="     :PART     "-" )
    ( Chck-analyse-get-face-parts             "12_Flaechenteile"                 0       "INFO"     "<="     :PART     "-" )
    ( Chck-analyse-get-spline-surfaces       "13_SplineOberflaeche"             0        "INFO"     "<="    :PART     "-" )
    ( Chck-analyse-get-parts-facettes-tolerance         "14_Facettengenauigkeit_Teil"      1       "ERROR"     ">="    :PART     "-" )
  ( Chck-analyse-get-faces-facettes-tolerance         "15_Facettengenauigkeit_Flaeche"   1       "ERROR"     ">="    :PART     "-" )
  )
)

( setf *chck-analyse-multi* 
   '(
      ( :name "Fehler"
        :checks (
                  ( Chck-analyse-get-errors                 "04_Teile_Pruefung_Fehler"                 0       "ERROR"     "<="    :PART     "-" )
                 )
      )
      ( :name "Geo"
        :checks (
                    ( Chck-analyse-get-geo-resolution         "01_Geometrische_Aufloesung"               0.001     "INFO"     "<="    :PART     "-" )
                    ( Chck-analyse-get-short-edges            "02_Kurze_Kanten"                   0.01     "INFO"     ">="    :PART     "-" )
                    ( Chck-analyse-get-spline-surfaces       "13_SplineOberflaeche"             0        "INFO"     "<="    :PART     "-" )
                 )
      )
      ( :name "Objekte"
        :checks (
                    ( Chck-analyse-get-empty-parts            "11_Leere_Teile"                    0       "INFO"     "<="     :PART     "-" )
                    ( Chck-analyse-get-face-parts             "12_Flaechenteile"                 0       "INFO"     "<="     :PART     "-" )
                    ( Chck-analyse-get-geo-pattern            "07_KombiMuster"        0        "INFO"     "<="    :ASSEMBLY     "-" )
                    ( Chck-analyse-get-obj-basename-length   "08_Laenge_Teilename"              31       "ERROR"     "<="    :ALL      "-" )
                    ( Chck-analyse-get-configurations         "09_Anzahl_Konfigurationen"         10       "INFO"     "<="    :ASSEMBLY "-" )

                 )
      )
      ( :name "Modellieren"
        :checks (
                    ( Chck-analyse-machining-feature-valid    "03_Ungueltige_Machiningelemente"   0       "ERROR"     "<="    :PART     "-" )
                    ( Chck-analyse-get-density                "05_Dichte_=_1"                      1.0      "INFO"     "="    :PART     "-" )
                    ( Chck-analyse-get-geo-pattern            "07_KombiMuster"        0        "INFO"     "<="    :ASSEMBLY     "-" )
                 )
      )

    )
)


;-----------------------------------------
; Handler fuer das Schreiben des Analyseergebnisses
; in den Model Manager
; Java-Methode hat 2 Parameter
; Parameter 1: Elid der zu pruefende Baugruppe
; Parameter 2: Analyseergebnis

( SETF *chck-result-handler* "FACE-ELEMENTS-CHCK-SET-RESULT-HANDLER" )

;-----------------------------------------