;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE :OLI )

( PRINT "... chckcust.* is loading ! " )

;---------------------------------------------------
; globale Variable vorbelegen
;---------------------------------------------------

( DEFVAR *chck-group-error-color* NIL )
( DEFVAR *chck-group-warning-color* NIL )
( DEFVAR *chck-group-repaired-color* NIL )
( DEFVAR *chck-free-elements-color* NIL )
( DEFVAR *chck-free-elements-text* NIL )
( DEFVAR *chck-analyse-definition* NIL )
( DEFVAR *chck-analyse-library-parts* NIL )
( DEFVAR *check-analyse-one-level* NIL )
( DEFVAR *check-analyse-shared-parts* NIL )
( DEFVAR *chck-analyse-vp-settings* NIL )
( DEFVAR *chck-analyse-report* NIL )
( DEFVAR *chck-result-handler* NIL )
( DEFVAR *chck-send-result-to-mm* NIL )
( defvar *chck-analyse-multi* nil )

;---------------------------------------------------
; Definition globaler Pfad-Variablen
;---------------------------------------------------

( DEFCONSTANT *tdwsoft_chck_path* ( SD-CONVERT-FILENAME-TO-PLATFORM ( FORMAT NIL "~A\\apps\\chck\\" ( OLI::SD-SYS-GETENV "FACE-ELEMENTS_PATH" ))))

;---------------------------------------------------
; Laden der - Lisp - Dateien
;---------------------------------------------------

( LOAD ( FORMAT NIL "~Achckconf.lsp" *tdwsoft_chck_path* ) :IF-DOES-NOT-EXIST NIL )

( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chckmain" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chcktable" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chckchecker" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chcksettings" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chckanalyse" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chcktexts" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chckgaps" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chckfacet" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chckfacetype" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chckedge" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chckcmd" )
( Tdwsoft-unitfile-universal-load *tdwsoft_chck_path* "chckmenu" )

;------------------------------------------------------------------------------------------------
; Laden firmenspezifischer Anpassungen

( Tdwsoft-unitfile-universal-conf-load "chck" )

;---------------------------------------------------
; Programmstart
;---------------------------------------------------

