;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE :OLI )

( PRINT "... lingcust.* is loading ! " )

;---------------------------------------------------
; globale Variable vorbelegen
;---------------------------------------------------

( DEFVAR *ling_anzeige* '( :deutsch ))
( DEFVAR *ling_ausgabe* '( :deutsch :kein :kein ))
( DEFVAR *ling_language_all* NIL )
( DEFVAR *ling_catalog_current* "lingtext1.mtb" )
( DEFVAR *ling_catalog_all* NIL )
( DEFVAR *ling_catalog_file* "lingcatalog.csv" )
( DEFVAR *ling_language_keywords* NIL )
( DEFVAR *ling_vorgaben_dialog_range* NIL )
( DEFVAR *ling_text_category_label* "Lingua" )
( DEFVAR *ling-zeichen-mapping-tabelle* NIL )

;---------------------------------------------------
; Definition globaler Pfad-Variablen
;---------------------------------------------------

( DEFCONSTANT *tdwsoft_ling_path* ( SD-CONVERT-FILENAME-TO-PLATFORM ( FORMAT NIL "~A\\apps\\ling\\" ( OLI::SD-SYS-GETENV "FACE-ELEMENTS_PATH" ))))

;---------------------------------------------------
; Laden der - Lisp - Dateien
;---------------------------------------------------

( LOAD ( FORMAT NIL "~Alingconf.lsp" *tdwsoft_ling_path* ) :IF-DOES-NOT-EXIST NIL )

( Tdwsoft-unitfile-universal-load *tdwsoft_ling_path* "lingmain" )
( Tdwsoft-unitfile-universal-load *tdwsoft_ling_path* "lingdialog" )
( Tdwsoft-unitfile-universal-load *tdwsoft_ling_path* "lingcmd" )
( Tdwsoft-unitfile-universal-load *tdwsoft_ling_path* "lingmenu" )

;------------------------------------------------------------------------------------------------
; Laden firmenspezifischer Anpassungen

( Tdwsoft-unitfile-universal-conf-load "ling" )

;---------------------------------------------------
; Programmstart
;---------------------------------------------------

( ling-main-start 0 )
