;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE :OLI )

;---------------------------------------------------
; globale Variable vorbelegen
;---------------------------------------------------

( DEFVAR *pass_settings* NIL )

;---------------------------------------------------
; Definition globaler Pfad-Variablen
;---------------------------------------------------

; globaler Pfad zur Dokumentation der Unit

( DEFCONSTANT *pass_para_file_path* ( SD-INQ-TEMP-DIR ))   ; Pfad zur Ablage der Parameterdateien
( DEFCONSTANT *tdwsoft_pass_path* ( SD-CONVERT-FILENAME-TO-PLATFORM ( FORMAT NIL "~A\\apps\\pass\\" ( OLI::SD-SYS-GETENV "FACE-ELEMENTS_PATH" ))))

;---------------------------------------------------
; Laden der Annotation - Lisp - Dateien
;---------------------------------------------------

( Tdwsoft-unitfile-universal-load *tdwsoft_pass_path* "passmain" )
( Tdwsoft-unitfile-universal-load *tdwsoft_pass_path* "passdialog" )
( Tdwsoft-unitfile-universal-load *tdwsoft_pass_path* "passcmd" )
( Tdwsoft-unitfile-universal-load *tdwsoft_pass_path* "passmenu" )

( LOAD ( FORMAT NIL "~Apassconf.lsp"   *tdwsoft_pass_path* ))

;------------------------------------------------------------------------------------------------
; Laden firmenspezifischer Anpassungen

( Tdwsoft-unitfile-universal-conf-load "pass" )

;------------------------------------------------------------------------------------------------
; Laden der Annotation - Makro - Dateien
;------------------------------------------------------------------------------------------------

( Tdwsoft-unitfile-anno-macro-load *tdwsoft_pass_path* "passmain" )

;------------------------------------------------------------------------------------------------
; Laden der Annotation - Makro - Konfigurations - Dateien
;------------------------------------------------------------------------------------------------

( SD-EXECUTE-ANNOTATOR-COMMAND :CMD ( FORMAT NIL "INPUT '~Apassconf.mma'" *tdwsoft_pass_path*  ))
( SD-EXECUTE-ANNOTATOR-COMMAND :CMD ( FORMAT NIL "INPUT '~Apassltab.mma'" *tdwsoft_pass_path*  ))

;------------------------------------------------------------------------------------------------
; Laden firmenspezifischer Anpassungen
;------------------------------------------------------------------------------------------------

( Tdwsoft-unitfile-anno-conf-load "pass" )

;------------------------------------------------------------------------------------------------
; Belegung globaler Variablen im Annotation
;------------------------------------------------------------------------------------------------

;------------------------------------------------------------------------------------------------
; Programmstart
;------------------------------------------------------------------------------------------------

( pass-main-start )
