;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE '( :OLI ))

( PRINT "posconf* is loading !" )

;-----------------------------------------
; Maximale Zeit die der SD auf Aktion des db wartet in sec
;-----------------------------------------

( DEFVAR *pos_sd_wait_for_db* 10 )

;-----------------------------------------
; Baugruppe fuer Positionierung
;-----------------------------------------

( DEFVAR *pos_komponente_pos_asmb* "posrefpos" )

;-----------------------------------------
; Bezugsteil fuer Positionierung
;-----------------------------------------

( DEFVAR *pos_komponente_pos_part* "refposein" )

;-----------------------------------------
; Namen der temporaeren Baugruppe unter
;-----------------------------------------

( SETQ *pos_tmp_part* "tmp_pos_normpart" )

;--------------------------------------------------------------------
; Name des Viewports fuer die geladenen Teile aus dem db
;--------------------------------------------------------------------

( SETF *pos_viewport_db_load_tmp* "POS-DB" )

;--------------------------------------------------------------------
; untere linke Ecke des temporaeren Viewports
;--------------------------------------------------------------------

( SETF *pos_viewport_db_pnt_ll* 0.0,70.0 )

;--------------------------------------------------------------------
; obere rechte Ecke des temporaeren Viewports
;--------------------------------------------------------------------

( SETF *pos_viewport_db_pnt_ur* 550.0,510.0 )

;--------------------------------------------------------------------
; Anzeigerichtung des Teiles in temporaeren Viewport
;--------------------------------------------------------------------

( SETF *pos_viewport_db_load_dir* -1,1,1 )

;------------------------------------------------
; Schalter zur Referenzermittlung von Baugruppe
;------------------------------------------------

( SETF *pos-get-assembly-ref* '( :SCHWERPUNKT ))  ; Schwerpunkt
;( SETF *pos-get-assembly-ref* '( :LOKAL ))       ; lokaler Ursprung
;( SETF *pos-get-assembly-ref* '( :COORD "Ref" :DIR1 :X-AXIS :DIR2 :Y-AXIS )) ; lokales Koordinatensystem, Name des lokalen Koordinatensystems

;==============================================================================
; Konfiguration der Mappingtabelle

( SETF *pos-partname-rename-mapping-tabelle*
          ( LIST
              ; Suchstring - Ersetzen
               '( " " "_" )
               '( "/" "-" )
               '( "=" ""  )
               '( "+" "u" )
               '( "," "." )
               '( ":" "." )
               '( "*" "" )
               '( "?" "" )
               '( "<" "" )
               '( ">" "" )
               '( "|" "" )
               '( "/" "" )
               '( "\\" "" )
               '( "\"" "" )
               '( "'" "" )
               '( ";" "" )
               '( "%" "" )
               '( "$" "" )
               '( "&" "" )
               '( "~" "" )
               '( "!" "" )
               '( "#" "" )
               '( "@" "" )
               '( "^" "" )
          )
)

( SETF *pos-partname-rename-attr1-keyword* :DESCRIPTION )
( SETF *pos-partname-rename-attr2-keyword* :DESCRIPTION2 )
( SETF *pos-partname-rename-pref-attr-container* "TDWSOFT-PREF" )
( SETF *pos-partname-rename-dref-attr-container* "TDWSOFT-DREF" )
( SETF *pos-partname-rename-no-description*  "keineBezeichnung" )
( SETF *pos-partname-rename-no-name* "keineArtikelnummer" )
( SETF *pos-partname-rename-sep-text12-descr* "__" )     ; Trenner fuer Teilename zwischen Text 1 und Text 2
( SETF *pos-partname-rename-sep-text23-descr* "_" )      ; Trenner fuer Teilename zwischen Text 2 und Text 3

;-----------------------------------------
; Name des Handlers fuer die MM-Suche 
;-----------------------------------------

( SETF *pos-findit-search-handler*       "TDWSOFT-FE-FINDIT-ELID-SEARCH-HANDLER" )      

;-----------------------------------------
; EOF
;-----------------------------------------