;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE '( :OLI ))

( PRINT "poscust.* is loading ! " )

;------------------------------------------------------------------------------------------------

; Definition globaler Variablen

( DEFVAR *pos_tmp* NIL     )                     ; temporaere Variable fuer Programmablauf
( DEFVAR *pos_error_flag* NIL )                  ; Errorflag
( DEFVAR *pos_current_part* NIL )                ; aktueller Teilename
( DEFVAR *pos_char_mapping_tabelle* NIL )        ; Mapping-Tabelle
( DEFVAR *pos_dbload_flag* NIL )                 ; Flag T=Teil wurde aus db geladen; NIL=Teil wurde erzeugt
( DEFVAR *pos-search-in-db-after-input* NIL )    ; Im db wird direkt nach der Eingabe der Artiklnudber gesucht
( DEFVAR *pos-get-assembly-ref* NIL )            ; Schalter zur Referenzermittlung von Baugruppe
( DEFVAR *pos_db_artikelcode* NIL )              ; globale Variable fuer den Artikelcode
( DEFVAR *pos_db_elid*        NIL )              ; ELID des zuletzt gesuchten Dokumentes
( DEFVAR *pos_show_dbload_message* NIL )
( DEFVAR *pos_viewport_db_load_tmp* NIL )         ; Name des Viewports fuer die geladenen Teile aus dem db
( DEFVAR *pos_viewport_db_pnt_ll* NIL )           ; untere linke Ecke des temporaeren Viewports
( DEFVAR *pos_viewport_db_pnt_ur* NIL )           ; obere rechte Ecke des temporaeren Viewports
( DEFVAR *pos_viewport_db_load_dir* NIL )         ; Anzeigerichtung des Teiles in temporaeren Viewport
( DEFVAR *pos-last-owner* NIL )
( DEFVAR *pos-standard-owner* NIL )               ; Standard-Besitzer
( DEFVAR *pos-partname-rename-ok-list* NIL )                ; Liste der erfolgreich umbenannten Teile/Baugruppen
( DEFVAR *pos-partname-rename-error-list* NIL )             ; Liste der nicht erfolgreich umbenannten TEile/Baugruppen 
( DEFVAR *pos-partname-rename-mapping-tabelle* NIL )       ; Liste der Zeichen, welche gemappt werden
( DEFVAR *pos-partname-rename-attr1-keyword* NIL )         ; Keyword 1 fuer den Teilenamen
( DEFVAR *pos-partname-rename-attr2-keyword* NIL )         ; Keyword 2 fuer den Teilenamen
( DEFVAR *pos-partname-rename-pref-attr-container* NIL )   ; Container fuer  kundenspezifische DB-Attribute Masterdata
( DEFVAR *pos-partname-rename-dref-attr-container* NIL )   ; Container fuer  kundenspezifische DB-Attribute Dokument
( DEFVAR *pos-partname-rename-no-description* NIL )        ; Vorgabebeschreibung, falls keine DB-Bezeichnung in der DB vorhanden ist
( DEFVAR *pos-partname-rename-no-name* NIL )               ;  Vorgabebeschreibung, falls keine DB-Artikelnummer in der DB vorhanden ist
( DEFVAR *pos-partname-rename-sep-text12-descr* NIL )      ; Trenner fuer Teilename zwischen Text 1 und Text 2
( DEFVAR *pos-partname-rename-sep-text23-descr* NIL )      ; Trenner fuer Teilename zwischen Text 2 und Text 3
( DEFVAR *pos-findit-search-handler*            NIL )      ; Name des Handlers fuer die MM-Suche 
( DEFVAR *pos-remember-last-owner*             T )         ; Globale Variable, ob der letzte angegebene Besitzer beim Positionieren gemerkt werden soll
( DEFVAR *pos-check-connect-license-server* NIL )          ; Nachdem Laden eines Modells wird vor dem Aufruf des Postionierbefehls geprueft, ob alle
                                                           ; Licenseserver verbunden sind.
( DEFVAR *pos-partname-rename-unseparables* NIL )          ; Beim umbenennen wird der Inhalt von Unseparables beruecksichtigt 

;--------------------------------------------------------------------
; Farben

( DEFVAR *pos_part_dir_x_color* 0.3,1.0,0.3 )       ; Setzen der Farbe fuer die Teilerichtung
( DEFVAR *pos_part_dir_y_color* 0.8,1.0,0.8 )       ; Setzen der Farbe fuer die Ausrichtung des Teiles
( DEFVAR *pos_pos_part_dir_x_color* 0.8,0.8,0.0 )  ; Setzen der Farbe fuer die Zeilrichtung des Teiles
( DEFVAR *pos_pos_part_dir_y_color* 1.0,1.0,0.0 )  ; Setzen der Farbe fuer die Ziel-Ausrichtung des Teiles

;------------------------------------------------------------------------------------------------

( DEFCONSTANT *tdwsoft_pos_path* ( SD-CONVERT-FILENAME-TO-PLATFORM ( FORMAT NIL "~A\\apps\\pos\\" ( OLI::SD-SYS-GETENV "FACE-ELEMENTS_PATH" ))))

;---------------------------------------------------
; Laden der - Lisp - Dateien
;---------------------------------------------------

( LOAD ( FORMAT NIL "~Aposconf.lsp" *tdwsoft_pos_path* ) :IF-DOES-NOT-EXIST NIL )

( Tdwsoft-unitfile-universal-load *tdwsoft_pos_path* "posowner" )
( Tdwsoft-unitfile-universal-load *tdwsoft_pos_path* "posload" )
( Tdwsoft-unitfile-universal-load *tdwsoft_pos_path* "posmain" )
( Tdwsoft-unitfile-universal-load *tdwsoft_pos_path* "posfindit" )

( DEFVAR *posdialog-lokal* NIL )

( SETF *posdialog-lokal* ( FORMAT NIL "C:\\hhatemp\\face-elements\\apps\\pos\\src\\posdialog.lsp" ))

( IF ( SD-SEARCH-FILE *posdialog-lokal*  )
  ( LOAD *posdialog-lokal* )
  ( Tdwsoft-unitfile-universal-load *tdwsoft_pos_path* "posdialog" )
)

( Tdwsoft-unitfile-universal-load *tdwsoft_pos_path* "posposition" )
( Tdwsoft-unitfile-universal-load *tdwsoft_pos_path* "posreplace" )
( Tdwsoft-unitfile-universal-load *tdwsoft_pos_path* "posrename" )
( Tdwsoft-unitfile-universal-load *tdwsoft_pos_path* "poscmd" )
( Tdwsoft-unitfile-universal-load *tdwsoft_pos_path* "posmenu" )

;------------------------------------------------------------------------------------------------
; Laden firmenspezifischer Anpassungen

( Tdwsoft-unitfile-universal-conf-load "pos" )

;------------------------------------------------------------------------------------------------