;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )
( USE-PACKAGE :OLI )

( PRINT "... wskcust.* is loading ! " )

;---------------------------------------------------
; globale Variable vorbelegen
;---------------------------------------------------

( DEFVAR *wsk-symbol-settings* NIL )
( DEFVAR *wsk-symbol-refline-style* NIL )
( DEFVAR *wsk-symbol-currrent-settings* ( LIST :SIZE 3.5 :TEXTCOLOR NIL :GEOCOLOR NIL ))
( DEFVAR *wsk-symbol-save-last-settings* NIL )

;---------------------------------------------------
; Definition globaler Pfad-Variablen
;---------------------------------------------------

( DEFCONSTANT *tdwsoft_wsk_path* ( SD-CONVERT-FILENAME-TO-PLATFORM ( FORMAT NIL "~A\\apps\\wsk\\" ( OLI::SD-SYS-GETENV "FACE-ELEMENTS_PATH" ))))

;---------------------------------------------------
; Laden der Annotation - Lisp - Dateien
;---------------------------------------------------

( LOAD ( FORMAT NIL "~Awskconf.lsp" *tdwsoft_wsk_path* ) :IF-DOES-NOT-EXIST NIL )

( Tdwsoft-unitfile-universal-load *tdwsoft_wsk_path* "wskmain" )
( Tdwsoft-unitfile-universal-load *tdwsoft_wsk_path* "wskdialog" )
( Tdwsoft-unitfile-universal-load *tdwsoft_wsk_path* "wskcmd" )
( Tdwsoft-unitfile-universal-load *tdwsoft_wsk_path* "wskmenu" )

;------------------------------------------------------------------------------------------------
; Laden firmenspezifischer Anpassungen

( Tdwsoft-unitfile-universal-conf-load "wsk" )

;---------------------------------------------------
; Laden der Annotation - Makro - Dateien
;---------------------------------------------------

( Tdwsoft-unitfile-anno-macro-load *tdwsoft_wsk_path*  "wskmain" )

;---------------------------------------------------
; Programmstart
;---------------------------------------------------

( Wsk-main-start )

; eof