;* ---------------------------------------------------------------------- *)
;*                _____ ______        __          __ _                    *)
;*               |_   _|  _ \ \      / /__  ___  / _| |_                  *)
;*                 | | | | | \ \ /\ / / __|/ _ \| |_| __|                 *)
;*                 | | | |_| |\ V  V /\__ \ (_) |  _| |_                  *)
;*                 |_| |____/  \_/\_/ |___/\___/|_|  \__|                 *)
;*                 GmbH                  www.tdwsoft.com                  *)
;* ---------------------------------------------------------------------- *)
;*                            TDWsoft GmbH                                *)
;*                   IT-Dienstleistung und Software                       *)
;* ---------------------------------------------------------------------- *)
;*                        F A C E  E L E M E N T S                        *)
;* ---------------------------------------------------------------------- *)
;*                          CONTACT ADDRESS                               *)
;*                                                                        *)
;* TDWsoft GmbH                   Tel <Zentrale>: +49 (0)721 2045560      *)
;* Jahnstrae 9                   Fax <Zentrale>: +49 (0)721 2045559      *)
;* D-76689 Karlsdorf-Neuthard     Internet: www.tdwsoft.com               *)
;*                                eMail: info@tdwsoft.de                  *)
;* ---------------------------------------------------------------------- *)

( IN-PACKAGE :FACE-ELEMENTS )

( DEFUN Tdwsoft-get-windows-version ()

  (multiple-value-bind (os rev) (oli::sd-inq-platform)
    ( IF rev
        ( READ-FROM-STRING rev )
        0
    )
  )

)

#| Stand 2014-07-07
Operating system               Version number
Windows 8.1                    6.3*
Windows Server 2012 R2         6.3*
Windows 8                      6.2
Windows Server 2012            6.2
Windows 7                      6.1
Windows Server 2008 R2         6.1
Windows Server 2008            6.0
Windows Vista                  6.0
Windows Server 2003 R2         5.2
Windows Server 2003            5.2
Windows XP 64-Bit Edition      5.2
Windows XP                     5.1
Windows 2000                   5.0
|#

( IF ( AND ( >= ( Tdwsoft-get-windows-version ) 6.0 )
           ( <= ( Tdwsoft-get-windows-version ) 6.4 )
     )
       ( PROGN
         ( LOAD ( FORMAT NIL "~A\\env\\faceenv.lsp" ( OLI::SD-SYS-GETENV "FACE-ELEMENTS_PATH" )))

         ( Tdwsoft-unitfile-universal-load ( FORMAT NIL "~A\\env\\" ( OLI::SD-SYS-GETENV "FACE-ELEMENTS_PATH" )) "activate" )
        )
        ( PROGN
           ( OLI::SD-DISPLAY-MESSAGE ( FORMAT NIL "Windowsversion: ~,1F ~A~%~A" ( Tdwsoft-get-windows-version )
                                 ( OLI::SD-MULTI-LANG-STRING " isn't be supported."
                                                      :german " wird nicht unterstuetzt." )
                                 ( OLI::SD-MULTI-LANG-STRING "Contact your Administrator."
                                                      :german "Kontaktieren Sie ihren Administrator." )

                                )
                                :TITLE ( OLI::SD-MULTI-LANG-STRING "FACE-Elements - Windows Support"
                                                     :german "FACE-Elements - Windows Support" )
           )

        )
)
; eof